<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>DOM.TreeWalker</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>TreeWalker Class Reference</h1>
<code>from PyKDE4.khtml import *</code>
<p>


Namespace: DOM<br />
<h2>Detailed Description</h2>


<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163886540">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj163886700">__init__</a> (self, <a href="../khtml/DOM.TreeWalker.html">DOM.TreeWalker</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174034220">__init__</a> (self, TreeWalkerImpl i)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186472396">currentNode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200389964">expandEntityReferences</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.NodeFilter.html">DOM.NodeFilter</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200389388">filter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186474284">firstChild</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">TreeWalkerImpl&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191397740">handle</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191396524">isNull</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187249484">lastChild</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191397772">nextNode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187250988">nextSibling</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186471660">parentNode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187248716">previousNode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj187249516">previousSibling</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200391564">root</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj186471628">setCurrentNode</a> (self, <a href="../khtml/DOM.Node.html">DOM.Node</a> _currentNode)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184685260">whatToShow</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj163886540"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj163886700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.TreeWalker.html">DOM.TreeWalker</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj174034220"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">TreeWalkerImpl&nbsp;</td>
<td class="paramname"><em>i</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj186472396"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> currentNode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The node at which the TreeWalker is currently positioned.
Alterations to the DOM tree may cause the current node to no longer be
accepted by the TreeWalker's associated filter. currentNode may also be
explicitly set to any node, whether or not it is within the subtree
specified by the root node or would be accepted by the filter and
whatToShow flags. Further traversal occurs relative to currentNode even
if it is not part of the current view, by applying the filters in the
requested direction; if no traversal is possible, currentNode is not changed.
</p>
<p>
DOMException
NOT_SUPPORTED_ERR: Raised if an attempt is made to set currentNode to null.
</p></div></div><a class="anchor" name="obj200389964"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool expandEntityReferences</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The value of this flag determines whether the children of entity
reference nodes are visible to the TreeWalker. If false, they and their
descendents will be rejected. Note that this rejection takes precedence
over whatToShow and the filter, if any.
</p>
<p>
To produce a view of the document that has entity references expanded
and does not expose the entity reference node itself, use the whatToShow
flags to hide the entity reference node and set expandEntityReferences
to true when creating the TreeWalker. To produce a view of the document
that has entity reference nodes but no entity expansion, use the
whatToShow flags to show the entity reference node and set
expandEntityReferences to false.
</p></div></div><a class="anchor" name="obj200389388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.NodeFilter.html">DOM.NodeFilter</a> filter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The filter used to screen nodes.
</p></div></div><a class="anchor" name="obj186474284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> firstChild</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves the TreeWalker to the first child of the
current node, and returns the new node. If the current node has
no children, returns null , and retains the
current node.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new node, or null if the current
node has no children.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj191397740"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">TreeWalkerImpl handle</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd>
not part of the DOM
</dd></dl>
</p></div></div><a class="anchor" name="obj191396524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isNull</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj187249484"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> lastChild</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves the TreeWalker to the last child of the
current node, and returns the new node. If the current node has
no children, returns null , and retains the
current node.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new node, or null if the current
node has no children.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj191397772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> nextNode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves the TreeWalker to the next node in
document order relative to the current node, and returns the
new node. If the current node has no next node, returns
null , and retains the current node.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new node, or null if the current
node has no next node.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj187250988"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> nextSibling</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves the TreeWalker to the next sibling of the
current node, and returns the new node. If the current node has
no next sibling, returns null , and retains the
current node.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new node, or null if the current
node has no next sibling.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj186471660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> parentNode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves to and returns the parent node of the current node. If
there is no parent node, or if the current node is the root
node from which this TreeWalker was created, retains the
current position and returns null.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new parent node, or null if the current node has no
parent in the TreeWalker's logical view.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj187248716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> previousNode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves the TreeWalker to the previous node in
document order relative to the current node, and returns the
new node. If the current node has no previous node, returns
null , and retains the current node.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new node, or null if the current
node has no previous node.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj187249516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> previousSibling</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Moves the TreeWalker to the previous sibling of
the current node, and returns the new node. If the current node
has no previous sibling, returns null , and
retains the current node.
</p>
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd> The new node, or null if the current
node has no previous sibling.
</dd></dl> </p>
<p>
Exceptions from user code
Any exceptions raised by a user-written Filter will propagate
through.
</p></div></div><a class="anchor" name="obj200391564"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../khtml/DOM.Node.html">DOM.Node</a> root</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>The root node of the TreeWalker, as specified when it was created.
</p></div></div><a class="anchor" name="obj186471628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCurrentNode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../khtml/DOM.Node.html">DOM.Node</a>&nbsp;</td>
<td class="paramname"><em>_currentNode</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>see currentNode
</p></div></div><a class="anchor" name="obj184685260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long whatToShow</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>This attribute determines which node types are presented via the
TreeWalker. The available set of constants is defined in the NodeFilter
interface. Nodes not accepted by whatToShow will be skipped, but their
children may still be considered. Note that this skip takes precedence
over the filter, if any.
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
